<?php

namespace App\Controllers;

use \System\View;
use Josantonius\Session\Session;
use \System\Auth;
use \App\Config;
use \App\Models\Account;
class Admin extends \System\Controller
{

    /**
     * Parameters from the matched route
     * @var array
     */
     protected $route_params = [];
    /**
     * Show the index page
     *
     * @return void
     */
    public function __construct($route_params)
    {
        $this->route_params = $route_params;
        
        Session::init();
        $user = Auth::user();
        if(!$user)
            return header("Location:" . Config::SITEURL . "auth/login");
    }
    /**
     * Show the index page
     *
     * @return void
     */
    public function indexAction()
    {

        Session::init();
        if(isset($_POST['password']) && !empty($_POST['password'])) {
            $username = Session::get('user');
            $checkAuth = Auth::auth($username, $_POST['password'] );
            if(!$checkAuth) {
                return View::renderTemplate('Admin/reset.html', [
                    'errors' => ['Invalid old password.']
                ]);
            }


            if(isset($_POST['newpassword'], $_POST['password2']) AND !empty($_POST['newpassword'])) {
                if($_POST['newpassword'] != $_POST['password2']) {
                    return View::renderTemplate('Admin/reset.html', [
                        'errors' => ['Password and password repeat doesn\'t match']
                    ]);
                }

                $username = $username . "@". \App\Config::DOMAIN;
                Account::db_update('admin', 'username', $username, [
                    'password' => _pacrypt_dovecot($_POST['newpassword'])
                ] );

                return View::renderTemplate('Admin/reset.html', [ 'success' => true]);
            }

        }

        return View::renderTemplate('Admin/reset.html');
    }

}
