<?php

namespace App\Controllers;

use \System\View;
use Josantonius\Session\Session;
use \System\Auth as Authenticator;
use App\Config;

class Auth extends \System\Controller
{

    /**
     * Show the login page or redirect to panel
     *
     * @return void
     */
    public function loginAction()
    {

        Session::init();

        $data = ['errors' => [], 'login'=> 1];
        if( isset($_POST['username'], $_POST['password']) ) {
            $user = Authenticator::auth( $_POST['username'], $_POST['password'] );
            if(!$user) {
                $data['errors'][] = 'Invalid username or password';
            } else {
                Session::set( [ 'user' => $_POST['username'], 'logged_in' => 1 ]);
            }
        } else {
            $user = Authenticator::user();
        }
        
        if(!$user)
            return View::renderTemplate('Authentication/login.html', $data);
        else 
            return header("Location: ".Config::SITEURL . "accounts/index");

    }

    public function logoutAction() {
        Session::init();
        Session::destroy();

        return header("Location: ".Config::SITEURL . "auth/login");
    }

    public function passwordAction () {
        $password = randomPassword();
        echo json_encode(compact('password'));
    }
    
}
