serialize = function(obj) {
  var str = [];
  for (var p in obj)
    if (obj.hasOwnProperty(p)) {
      str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
    }
  return str.join("&");
}

var dorequest = function(url, params = {}, callback ) {
    var http = new XMLHttpRequest();
    if(params.length) {
        var params = serialize(params);
        http.open('POST', url, true);
        //Send the proper header information along with the request
        http.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
    } else {
        http.open('GET', url, true);
    }

    http.onreadystatechange = function() {//Call a function when the state changes.
        if(http.readyState == 4 && http.status == 200) {

            // http.responseText will be anything that the server return
            callback(http.responseText);
        }
    }
    http.send(params);
}

var genereatePassword = document.getElementById('genereate-password');

genereatePassword.addEventListener("click", function() {
    dorequest(base_url + "auth/password", {}, function(response) {
        response = JSON.parse(response);
        document.getElementById('password').value = response.password;
        document.getElementById('password').setAttribute("type", "text");
        
        document.getElementById('password2').value = response.password;
        document.getElementById('password2').setAttribute("type", "text");
    });
});

function validateEmail(email) {
  const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return re.test(email);
}

function appendAlert(message) {
    let error = document.getElementById('error');
    error.innerText = message;
    error.style.display = 'block';
}
function validateForm(action = 'create') {

    var password = document.getElementById('password');
    var password2 = document.getElementById('password2');

    if(password && password2 ) {
        if(action == 'create' || (action == 'edit' && password.value.length) ) {
            if(password.value != password2.value) {
                appendAlert("Password and confirmation doesn't match");
                return false;
            }
            if(password.length < 6 || password.length > 18) {
                appendAlert("Password must be between 6 and 18 chars");
                return false;
            }
        }
    }
    var username = document.getElementById('username');
    if(username) {
        if(!validateEmail(username.value + "@g.com")) {
            appendAlert("Invalid username");
            return false;
        }
    }
    var quota = document.getElementById('quota');
    if(quota && quota.value < 0) {
        appendAlert("Invalid quota");
        return false;
    }

    let error = document.getElementById('error');
    error.style.display = 'none';

    return true;
}