<?php

/**
 * Front controller
 *
 */

/**
 * Composer
 */
require dirname(__DIR__) . '/vendor/autoload.php';
require dirname(__DIR__) . '/System/Helpers.php';


/**
 * Error and Exception handling
 */
error_reporting(E_ALL);
set_error_handler('System\Error::errorHandler');
set_exception_handler('System\Error::exceptionHandler');


/**
 * Routing
 */
$router = new System\Router();

// Add the routes
$router->add('', ['controller' => 'Auth', 'action' => 'login']);
$router->add('{controller}/{action}');
$router->add('accounts/edit/{username:[A-Za-z0-9-_.]+}', ['controller' => 'Accounts', 'action' => 'edit']);
$router->add('accounts/delete/{username:[A-Za-z0-9-_.]+}', ['controller' => 'Accounts', 'action' => 'delete']);
    
$router->dispatch($_SERVER['QUERY_STRING']);
